FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.1.0-1/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

FROM arm32v7/ubuntu:bionic

COPY --from=qemu /qemu-arm-static /usr/bin/

ARG DEBIAN_FRONTEND=noninteractive

# INSTALL RUNTIME DEPENDENCIES
RUN apt-get update && apt-get install -y \
		ubuntu-desktop \
		language-pack-en \
		vim-tiny \
	&& update-locale \
	&& apt-get clean \
	&& rm -rf /var/lib/apt/lists

# COPY ARTIFACTS FROM OTHER CONTAINERS

# CONFIGURATION

CMD [ "/lib/systemd/systemd" ]
